Retail Documentation
  1. Stores
Retail Documentation
  • Events
    • Register For Events
      POST
  • NewsLetters
    • Get All Subcribers
      GET
    • Add New Subcribers
      POST
    • Send Mails To Subscribers
      POST
  • Stores
    • Get All Stores
      GET
    • Update Store
      PUT
    • Delete Store
      DELETE
    • Get Specific Store
      GET
    • Search Store
      POST
    • Add A New Store
      POST
  • Gives / Dontation
    • Get All Gives
      GET
    • Add A Give
      POST
  • Payment Gateway
    • Make Payment
      POST
  • Blog
    • Get All Blogs
      GET
    • Update Blog
      PUT
    • Get A Specific Blog
      GET
    • Delete Blog
      DELETE
    • Create New Blog
      POST
  • Admin
    • Admin Login
      POST
    • Admin Signup
      POST
    • Logout
      GET
  • Communities
    • Join Our Comunities
      POST
    • List of Users In Our Communities
      GET
  • Praise Report Form
    • Insert New Praise Form
    • Get All Praise Report Form
  • Welcome Section
    GET
  • Contact Us
    POST
  1. Stores

Search Store

POST
/store/search

Request

Body Params application/json

Examples

Responses

🟢200
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/store/search' \
--header 'Content-Type: application/json' \
--data-raw '{
    "query": "skad"
}'
Response Response Example
{
    "message": "QUERY_SUCCESS",
    "status": true,
    "query": [
        {
            "_id": "62f6bcfefd47197d9e4fe9e9",
            "youtubeLink": "https://www.youtube.com/embed/yWbl8y6ZNtU",
            "title": "Perfect Law of Liberty",
            "message": "The perfect Law of liberty",
            "author": "Pastor Dafe Richard",
            "file": "",
            "payable": false,
            "amount": "0",
            "audio": "https://pneumalife-8eb76.appspot.com.storage.googleapis.com/1660337347398.mp3",
            "image": "https://pneumalife-8eb76.appspot.com.storage.googleapis.com/1660337347275.jpeg",
            "createdAt": "2022-08-12T20:50:06.936Z",
            "updatedAt": "2022-08-12T20:50:06.936Z",
            "__v": 0
        }
    ]
}
Modified at 2026-03-12 11:22:01
Previous
Get Specific Store
Next
Add A New Store
Built with